Skip to main content
PUT
/
api
/
v1
/
calcom
/
agents
/
{agent_id}
/
account
Assign Cal.com Account to Agent
curl --request PUT \
  --url https://api.ravan.ai/api/v1/calcom/agents/{agent_id}/account \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "calcom_account_id": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "agent_id": "<string>",
    "agent_name": "<string>",
    "calcom_account_id": "<string>",
    "calcom_account_name": "<string>",
    "calcom_calendar_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

agent_id
string
required
Agent UUID

Body

calcom_account_id
string
required
UUID of the Cal.com API key record to assign

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.

Authorizations

X-Api-Key
string
header
required

Path Parameters

agent_id
string
required

Agent UUID

Body

application/json
calcom_account_id
string
required

UUID of Cal.com API key record

Response

200 - application/json

Successful response

success
boolean
message
string
data
object